Bug 478564 - Caret in AbiWord does not blink with compiz-fusion with intel 82G33/G31
Caret in AbiWord does not blink with compiz-fusion with intel 82G33/G31
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 22:23 EST by Martin Sevior
Modified: 2018-04-11 04:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf used for my desktop. (843 bytes, text/plain)
2009-01-27 00:30 EST, Martin Sevior
no flags Details
My most recent x11.log file (104.97 KB, text/plain)
2009-01-27 00:33 EST, Martin Sevior
no flags Details
x11.0.log for auto-detected server (117.10 KB, text/plain)
2009-01-27 00:41 EST, Martin Sevior
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19393 None None None Never

  None (edit)
Description Martin Sevior 2008-12-31 22:23:25 EST
Description of problem:

In Fedora 10 running with the compiz-fusion-0.7.8-2.fc10.i386 Window manager the caret in AbiWord-2.6.5 appears as a solid rectangular block which not blink. Furthermore, upon typing large amounts of screen dirt from the caret are generated.

This bug was not present in Fedora 9, nor does it appear in compiz-fusion with the nivdia video card. It does not appear in metacity either. From my knowledge of abiword my guess is that compiz-fusion is not handling screen captures or restores with called from a gtk-idle loop.

Version-Release number of selected component (if applicable):

compiz-fusion-0.7.8-2.fc10.i386
intel 82G33/G31
fedora 10.

How reproducible:
100% reproducible in the combination of hardware and software shown above. Bug was not present in fedora 9.

Steps to Reproduce:
1. enable compiz-fusion with intel 82G33/G31 video card in Fedora 10
2. Start abiword
3. 
  
Actual results:

Observed solid rectangle where the blinking caret should be.

Expected results:


A blinking caret should appear at the location where text enters abiword
Additional info:
Comment 1 Matěj Cepl 2009-01-26 12:21:55 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Martin Sevior 2009-01-27 00:30:47 EST
Created attachment 330064 [details]
xorg.conf used for my desktop.
Comment 3 Martin Sevior 2009-01-27 00:33:56 EST
Created attachment 330065 [details]
My most recent x11.log file
Comment 4 Martin Sevior 2009-01-27 00:41:20 EST
Created attachment 330066 [details]
x11.0.log for auto-detected server

OK here is the additional information requested.

The first x11.log is the log file captured from the xorg.conf file attached.
The second x11.0.log file the log file resulting from the server obtained without an xorg.conf file.
Comment 5 Martin Sevior 2009-01-27 00:43:05 EST
Also the second x11.0.0log file is running the compiz-fusion window manager. The caret bug is the same as ever.
Comment 6 Martin Sevior 2009-07-29 19:11:41 EDT
Hi folks!

How is the progress on this bug? I've upgraded to fedora 11 and this bug is still present.

We now have a quite a lot of commentary in AbiWord's bugzilla related to this. See here:

http://bugzilla.abisource.com/show_bug.cgi?id=12066

Basically I can't use compiz or compiz-fusion on my intel grahics card. It also appears to affect ATI graphics cards although nvidia cards work fine.
Comment 7 Martin Sevior 2009-07-29 20:38:49 EDT
More info:

We blink the caret by taking a snapshot of the screen pixmap, then draw the
caret over that. It appears that taking this snapshot of the screen pixmap
returns a solid black rectangle, rather than what was on the screen.
Comment 8 Bug Zapper 2009-11-18 05:37:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:27:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.